← OBPdynamic-entity Delete livestock by id DELETE /obp/dynamic-entity/banks/ogcr/livestock/LIVESTOCK_ID OBPv4.0.0-dynamicEntity_deletelivestock_ogcr Roles: CanDeleteDynamicEntityRecord_livestock(per bank) _Livestock(ogcr)Dynamic-EntityDynamic Delete livestock by id MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"livestock" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example request body { "livestock_id": "3dece208-c95c-11f0-9041-54e1adfac5b1", "parcel_id": "3dece208-c95c-11f0-9041-54e1adfac5b1", "species": "cattle_dairy", "breed": "Holstein Friesian", "head_count": 85, "head_count_date": "2026-01-01", "livestock_unit": 85, "production_system": "grazing", "manure_management_system": "slurry_tank", "feed_type": "pasture", "avg_daily_weight_gain_kg": 1.1, "milk_yield_litres_per_day": 28.5 } Example success response { "bank_id": "ogcr", "livestock": { "livestock_id": "3dece208-c95c-11f0-9041-54e1adfac5b1", "parcel_id": "3dece208-c95c-11f0-9041-54e1adfac5b1", "species": "cattle_dairy", "breed": "Holstein Friesian", "head_count": 85, "head_count_date": "2026-01-01", "livestock_unit": 85, "production_system": "grazing", "manure_management_system": "slurry_tank", "feed_type": "pasture", "avg_daily_weight_gain_kg": 1.1, "milk_yield_litres_per_day": 28.5 } } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.